<%= render 'scrapbook/shared/header' %>
<%= form_for @master do |f| %>
<%= hint_text 'masters.upload_hint' %>
  <div class="master-image-edit">
    <% if @master.file.exists? %>
      <%= image_tag @master.file.url(:large), class: 'master-large' %>
    <% else %>
      <%= f.file_field :file, id: 'files', class: 'inputfile' %>
      <label for="files">
        <figure>
          <svg xmlns="http://www.w3.org/2000/svg" width="125" height="120" viewBox="0 0 20 17"><path id="upload-icon" d="M10 0l-5.2 4.9h3.3v5.1h3.8v-5.1h3.3l-5.2-4.9zm9.3 11.5l-3.2-2.1h-2l3.4 2.6h-3.5c-.1 0-.2.1-.2.1l-.8 2.3h-6l-.8-2.2c-.1-.1-.1-.2-.2-.2h-3.6l3.4-2.6h-2l-3.2 2.1c-.4.3-.7 1-.6 1.5l.6 3.1c.1.5.7.9 1.2.9h16.3c.6 0 1.1-.4 1.3-.9l.6-3.1c.1-.5-.2-1.2-.7-1.5z"></path></svg>
        </figure>
        <span>Upload an Image</span>
      </label>
    <% end %>
  </div>
  <div class="master-info-edit">
    <%= f.label :title, "Title" %>
    <%= f.text_field :title %><br>
    <%= render 'metadata_fields', f: f %>
    <%= f.submit "Save" %>
  </div>
<% end %>
